# musi Tokusu Monokatali

toki pona translation patch for Cave Story

[README.md (toki pona)](README.md)

README.jp.md (日本語) lon ala 

[![Latest Release](https://gitlab.com/lupa-Tokusu-Monokatali/musi-Tokusu-Monokatali/-/badges/release.svg)](https://gitlab.com/lupa-Tokusu-Monokatali/musi-Tokusu-Monokatali/-/releases)

Base translation files only.  For specific game engines, please see [nasin](nasin)

# Building

Clone the repo

```
git clone https://gitlab.com/lupa-Tokusu-Monokatali/musi-Tokusu-Monokatali.git
cd musi-Tokusu-Monokatali
```

## Setup game engine(s)

Use one of the following to install and setup a game engine

`git submodule init nasin/nxengine` # For Retroarch

`git submodule init nasin/nxengine-evo` # Recommended

`git submodule init nasin/doukusu-rs` # Best Graphics

`git submodule init` # ALL

## make

Build translations

`make LANG=` All writing systems

`make LANG=en` Basic Latin only

`make LANG=jp` Hiragana only (UTF8 and SJIS)

`make LANG=tok` sitelen pona only

## install and run

See engine specific instructions:

- [nxengine](nasin/nxengine)
- [nxengine-evo](nasin/nxengine-evo)
- [doukusu-rs](nasin/doukusu-rs)

# TO-DO
many things

- [ ] nasin
  - [ ] nxengine
  	- [x] Retroarch
    - [x] Android (kepeken ilo Retroarch)
    - [x] Linux 
    - [ ] ilo Macintosh
	- [x] Windows (kepeken nasin Wine)
  - [ ] nxengine-evo
    - [ ] Macintosh
	- [x] Linux
	- [ ] Switch
	- [x] Windows
	- [ ] Vita
  - [ ] doukutsu-rs
    - [x] Android
	- [x] Linux 
    - [ ] Macintosh
	- [ ] Windows
- [x] sitelen toki
  - [x] sitelen Lasina
  - [x] sitelen Ilakana
  - [x] sitelen pona
- [ ] toki ante
  - [ ] Doukutsu.exe
  - [ ] mrmap.bin
  - [ ] data
    - [x] data/ArmsItem.tsc
    - [ ] data/Caret.pbm
    - [ ] data/Credit.tsc
    - [x] data/Head.tsc
    - [x] data/StageSelect.tsc
    - [ ] data/TextBox.pbm
    - [ ] data/Title.pbm
  - [ ] data/Stage
    - [ ] data/Stage/0.tsc
    - [ ] data/Stage/Almond.tsc
    - [ ] data/Stage/Ballo1.tsc
    - [ ] data/Stage/Ballo2.tsc
    - [x] data/Stage/Barr.tsc
    - [ ] data/Stage/Blcny1.tsc
    - [ ] data/Stage/Blcny2.tsc
    - [x] data/Stage/Cave.tsc
    - [x] data/Stage/Cemet.tsc
    - [x] data/Stage/Cent.tsc
    - [x] data/Stage/CentW.tsc
    - [x] data/Stage/Chako.tsc
    - [x] data/Stage/Clock.tsc
    - [x] data/Stage/Comu.tsc
    - [ ] data/Stage/Cthu2.tsc
    - [x] data/Stage/Cthu.tsc
    - [x] data/Stage/Curly.tsc
    - [x] data/Stage/CurlyS.tsc
    - [x] data/Stage/Dark.tsc
    - [ ] data/Stage/Drain.tsc
    - [ ] data/Stage/e_Blcn.tsc
    - [ ] data/Stage/e_Ceme.tsc
    - [x] data/Stage/EgEnd1.tsc
    - [x] data/Stage/EgEnd2.tsc
    - [x] data/Stage/Egg1.tsc
    - [x] data/Stage/Egg6.tsc
    - [x] data/Stage/EggR2.tsc
    - [x] data/Stage/EggR.tsc
    - [ ] data/Stage/Eggs2.tsc
    - [x] data/Stage/Eggs.tsc
    - [x] data/Stage/EggX2.tsc
    - [x] data/Stage/EggX.tsc
    - [ ] data/Stage/e_Jenk.tsc
    - [ ] data/Stage/e_Labo.tsc
    - [ ] data/Stage/e_Malc.tsc
    - [ ] data/Stage/e_Maze.tsc
    - [ ] data/Stage/e_Sky.tsc
    - [ ] data/Stage/Fall.tsc
    - [x] data/Stage/Frog.tsc
    - [x] data/Stage/Gard.tsc
    - [ ] data/Stage/Hell1.tsc
    - [ ] data/Stage/Hell2.tsc
    - [ ] data/Stage/Hell3.tsc
    - [ ] data/Stage/Hell42.tsc
    - [ ] data/Stage/Hell4.tsc
    - [ ] data/Stage/Island.tsc
    - [x] data/Stage/Itoh.tsc
    - [x] data/Stage/Jail1.tsc
    - [x] data/Stage/Jail2.tsc
    - [x] data/Stage/Jenka1.tsc
    - [x] data/Stage/Jenka2.tsc
    - [ ] data/Stage/Kings.tsc
    - [x] data/Stage/Little.tsc
    - [x] data/Stage/Lounge.tsc
    - [x] data/Stage/Malco.tsc
    - [ ] data/Stage/Mapi.tsc
    - [x] data/Stage/MazeA.tsc
    - [x] data/Stage/MazeB.tsc
    - [x] data/Stage/MazeD.tsc
    - [x] data/Stage/MazeH.tsc
    - [x] data/Stage/MazeI.tsc
    - [x] data/Stage/MazeM.tsc
    - [x] data/Stage/MazeO.tsc
    - [x] data/Stage/MazeS.tsc
    - [x] data/Stage/MazeW.tsc
    - [ ] data/Stage/MiBox.tsc
    - [x] data/Stage/Mimi.tsc
    - [ ] data/Stage/Momo.tsc
    - [x] data/Stage/Oside.tsc
    - [ ] data/Stage/Ostep.tsc
    - [x] data/Stage/Pens1.tsc
    - [x] data/Stage/Pens2.tsc
    - [ ] data/Stage/Pixel.tsc
    - [x] data/Stage/Plant.tsc
    - [x] data/Stage/Pole.tsc
    - [x] data/Stage/Pool.tsc
    - [ ] data/Stage/Prefa1.tsc
    - [ ] data/Stage/Prefa2.tsc
    - [ ] data/Stage/Priso1.tsc
    - [ ] data/Stage/Priso2.tsc
    - [ ] data/Stage/Ring1.tsc
    - [ ] data/Stage/Ring2.tsc
    - [ ] data/Stage/Ring3.tsc
    - [ ] data/Stage/River.tsc
    - [x] data/Stage/SandE.tsc
    - [x] data/Stage/Sand.tsc
    - [x] data/Stage/Santa.tsc
    - [ ] data/StageSelect.tsc
    - [x] data/Stage/Shelt.tsc
    - [x] data/Stage/Start.tsc
    - [ ] data/Stage/Statue.tsc
    - [ ] data/Stage/Stream.tsc
    - [x] data/Stage/Weed.tsc
    - [x] data/Stage/WeedB.tsc
    - [x] data/Stage/WeedD.tsc
    - [x] data/Stage/WeedS.tsc
